function originalPSF=load_variable_from_MAT(FileNamePSF)
%originalPSF=load_variable_from_MAT(FileNamePSF)

%založeno z důvodu načítání .mat souboru
%V případě jediné proměnné v načteném .mat souboru je automaticky vybrána.
%Pokd je proměnných více, uživatel je vyzván v příkazové řádce vybrat
%požadovanou proměnnou manuálně.
%--------------------------------------------------------------------------
load(FileNamePSF);
promenne=load(FileNamePSF);
s=fieldnames(promenne);
[r,c]=size(s);
if r==1
    originalPSF = getfield(promenne, s{1});
else
originalPSF=input('zadejte název proměnné obsahující požadovanou matici');
end

